package cn.com.countrygarden.bi.main.dto.advise;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 木木子
 * @Description: java类作用描述
 * @email 944528607@qq.com
 * @date 2019/5/9 16:54
 */
public class AdviseProcessDTO implements Serializable {
    /**
     * 建言标识关联
     */
    private Integer adviseFeedbackId;
    /**
     * 建言类型标识
     */
    private Integer adviseTypeId;
    /**
     * 回复时间
     */
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date answerTime;

    /**
     * 节点类型（0项目1区域2总部3类型）
     */
    private Integer processType;

    /**
     * 分支关联
     */
    private String branchTypeCode;

    public Integer getAdviseFeedbackId() {
        return adviseFeedbackId;
    }

    public void setAdviseFeedbackId(Integer adviseFeedbackId) {
        this.adviseFeedbackId = adviseFeedbackId;
    }

    public Integer getAdviseTypeId() {
        return adviseTypeId;
    }

    public void setAdviseTypeId(Integer adviseTypeId) {
        this.adviseTypeId = adviseTypeId;
    }

    public Date getAnswerTime() {
        return answerTime;
    }

    public void setAnswerTime(Date answerTime) {
        this.answerTime = answerTime;
    }

    public Integer getProcessType() {
        return processType;
    }

    public void setProcessType(Integer processType) {
        this.processType = processType;
    }

    public String getBranchTypeCode() {
        return branchTypeCode;
    }

    public void setBranchTypeCode(String branchTypeCode) {
        this.branchTypeCode = branchTypeCode;
    }
}
